ModuleException (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class ModuleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.struts.util.ModuleException

All Implemented Interfaces:
  Serializable

    public class ModuleException

extends Exception

Used for specialized exception handling.

See Also:
  Serialized Form

Field Summary
`protected ActionMessage` | `message` The ActionMessage associated with this exception.
`protected String` | `property`

Constructor Summary
`ModuleException(String key)` Construct an module exception with no replacement values.
`ModuleException(String key, Object value)` Construct an module exception with the specified replacement values.
`ModuleException(String key, Object[] values)` Construct an error with the specified replacement values.
`ModuleException(String key, Object value0, Object value1)` Construct an module exception with the specified replacement values.
`ModuleException(String key, Object value0, Object value1, Object value2)` Construct an module exception with the specified replacement values.
`ModuleException(String key, Object value0, Object value1, Object value2, Object value3)` Construct an module exception with the specified replacement values.

Method Summary
`ActionMessage` | `getActionMessage()` Returns the error associated with the exception.
`String` | `getProperty()` Returns the property associated with the exception.
`void` | `setProperty(String property)` Set the property associated with the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### property

    protected String property

### message

    protected ActionMessage message

  The ActionMessage associated with this exception.

  Since:
    Struts 1.2

Constructor Detail

### ModuleException

    public ModuleException(String key)

  Construct an module exception with no replacement values.

  Parameters:
    `key` - Message key for this error message

### ModuleException

    public ModuleException(String key,
                           Object value)

  Construct an module exception with the specified replacement values.

  Parameters:
    `key` - Message key for this error message
    `value` - First replacement value

### ModuleException

    public ModuleException(String key,
                           Object value0,
                           Object value1)

  Construct an module exception with the specified replacement values.

  Parameters:
    `key` - Message key for this error message
    `value0` - First replacement value
    `value1` - Second replacement value

### ModuleException

    public ModuleException(String key,
                           Object value0,
                           Object value1,
                           Object value2)

  Construct an module exception with the specified replacement values.

  Parameters:
    `key` - Message key for this error message
    `value0` - First replacement value
    `value1` - Second replacement value
    `value2` - Third replacement value

### ModuleException

    public ModuleException(String key,
                           Object value0,
                           Object value1,
                           Object value2,
                           Object value3)

  Construct an module exception with the specified replacement values.

  Parameters:
    `key` - Message key for this error message
    `value0` - First replacement value
    `value1` - Second replacement value
    `value2` - Third replacement value
    `value3` - Fourth replacement value

### ModuleException

    public ModuleException(String key,
                           Object[] values)

  Construct an error with the specified replacement values.

  Parameters:
    `key` - Message key for this message
    `values` - Array of replacement values

Method Detail

### getProperty

    public String getProperty()

  Returns the property associated with the exception.

  Returns:
    Value of property.

### setProperty

    public void setProperty(String property)

  Set the property associated with the exception. It can be a name of the edit field, which 'caused' the exception.

### getActionMessage

    public ActionMessage getActionMessage()

  Returns the error associated with the exception.

  Returns:
    Value of property error.
  Since:
    Struts 1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.